[SciPy-dev] scipy compile problems

Robin robince@gmail....
Mon Aug 4 04:13:13 CDT 2008


On Sun, Aug 3, 2008 at 11:08 PM, Nate <twentypoundtrout@yahoo.com> wrote:
> I'm having trouble compiling scipy from the repo on Ubuntu (8.04).  See the
> following output error from scipy.test().  Apparently there are problems with
> lapack.  I've compiled ATLAS (first building and linking the full NA lib lapack)
> and still have the following errors.  The build + site-package directories for
> numpy/scipy are removed each time I try to rebuild (both).  Also, I am building
> everything with gfortran (following the steps here:
> http://www.scipy.org/Installing_SciPy/Linux#head-1c4018a51422706809ee96a4db03ca0669f5f6d1)
>
> Any ideas?

One thing is to check you are using the atlas and lapack you expect
(and that you built with gfortran). I think the easiest way to do this
is to make sure you don't have them installed from the packaging
system.

You could check with ldd which libraries the clapack.so is linked to.

Robin


More information about the Scipy-dev mailing list